Orxonox: orxonox::FunctorMember< T > Class Template Reference

# orxonox::FunctorMember< T > Class Template Reference

`#include <src/core/Functor.h>`

Inheritance diagram for orxonox::FunctorMember< T >:

List of all members.

## Public Member Functions

| FunctorMember ()
virtual void | operator() (const MultiType &param1=MT_Type::Null, const MultiType &param2=MT_Type::Null, const MultiType &param3=MT_Type::Null, const MultiType &param4=MT_Type::Null, const MultiType &param5=MT_Type::Null)
virtual void | operator() (const T *object, const MultiType &param1=MT_Type::Null, const MultiType &param2=MT_Type::Null, const MultiType &param3=MT_Type::Null, const MultiType &param4=MT_Type::Null, const MultiType &param5=MT_Type::Null)=0
virtual void | operator() (T *object, const MultiType &param1=MT_Type::Null, const MultiType &param2=MT_Type::Null, const MultiType &param3=MT_Type::Null, const MultiType &param4=MT_Type::Null, const MultiType &param5=MT_Type::Null)=0
FunctorMember< T > * | setObject (const T *object)
FunctorMember< T > * | setObject (T *object)
virtual | ~FunctorMember ()

## Private Attributes

bool | bConstObject_
const T * | constObject_
T * | object_

### template<class T>
class orxonox::FunctorMember< T >

## Constructor & Destructor Documentation

template<class T>

orxonox::FunctorMember< T >::FunctorMember | ( |  | ) | `[inline]`

References orxonox::FunctorMember< T >::bConstObject_, orxonox::FunctorMember< T >::constObject_, and orxonox::FunctorMember< T >::object_.

template<class T>

virtual orxonox::FunctorMember< T >::~FunctorMember | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T>

virtual void orxonox::FunctorMember< T >::operator() | ( | const MultiType & | param1 = `MT_Type::Null`,
|  | const MultiType & | param2 = `MT_Type::Null`,
|  | const MultiType & | param3 = `MT_Type::Null`,
|  | const MultiType & | param4 = `MT_Type::Null`,
|  | const MultiType & | param5 = `MT_Type::Null` |
| ) |  |  | `[inline, virtual]`

Implements orxonox::Functor.

References orxonox::FunctorMember< T >::bConstObject_, orxonox::FunctorMember< T >::constObject_, COUT, and orxonox::FunctorMember< T >::object_.

template<class T>

virtual void orxonox::FunctorMember< T >::operator() | ( | const T * | object,
|  | const MultiType & | param1 = `MT_Type::Null`,
|  | const MultiType & | param2 = `MT_Type::Null`,
|  | const MultiType & | param3 = `MT_Type::Null`,
|  | const MultiType & | param4 = `MT_Type::Null`,
|  | const MultiType & | param5 = `MT_Type::Null` |
| ) |  |  | `[pure virtual]`

template<class T>

virtual void orxonox::FunctorMember< T >::operator() | ( | T * | object,
|  | const MultiType & | param1 = `MT_Type::Null`,
|  | const MultiType & | param2 = `MT_Type::Null`,
|  | const MultiType & | param3 = `MT_Type::Null`,
|  | const MultiType & | param4 = `MT_Type::Null`,
|  | const MultiType & | param5 = `MT_Type::Null` |
| ) |  |  | `[pure virtual]`

template<class T>

FunctorMember<T>* orxonox::FunctorMember< T >::setObject | ( | const T * | object | ) | `[inline]`

References orxonox::FunctorMember< T >::bConstObject_, and orxonox::FunctorMember< T >::constObject_.

template<class T>

FunctorMember<T>* orxonox::FunctorMember< T >::setObject | ( | T * | object | ) | `[inline]`

References orxonox::FunctorMember< T >::bConstObject_, and orxonox::FunctorMember< T >::object_.

Referenced by orxonox::GSRoot::activate(), orxonox::GSMainMenu::activate(), orxonox::GSLevel::activate(), orxonox::GSIOConsole::activate(), orxonox::GSGraphics::activate(), and orxonox::GraphicsManager::GraphicsManager().

## Member Data Documentation

template<class T>

bool orxonox::FunctorMember< T >::bConstObject_`[private]`

Referenced by orxonox::FunctorMember< T >::FunctorMember(), orxonox::FunctorMember< T >::operator()(), and orxonox::FunctorMember< T >::setObject().

template<class T>

const T* orxonox::FunctorMember< T >::constObject_`[private]`

Referenced by orxonox::FunctorMember< T >::FunctorMember(), orxonox::FunctorMember< T >::operator()(), and orxonox::FunctorMember< T >::setObject().

template<class T>

T* orxonox::FunctorMember< T >::object_`[private]`

Referenced by orxonox::FunctorMember< T >::FunctorMember(), orxonox::FunctorMember< T >::operator()(), and orxonox::FunctorMember< T >::setObject().

The documentation for this class was generated from the following file:

- src/core/Functor.h